Bug 1502629 - (CVE-2017-10348) CVE-2017-10348 OpenJDK: multiple unbounded memory allocations in deserialization (Libraries, 8181432)
CVE-2017-10348 OpenJDK: multiple unbounded memory allocations in deserializat...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20171017,repor...
: Security
Depends On: 1499215 1499223 1503329 1503330 1503335 1515470 1516386 1499213 1499214 1499216 1499224 1499225 1499226 1503325 1503326 1503327 1503328 1503331 1503332 1503333 1503334 1503336 1515469 1515471 1515472 1516384 1516385 1516387
Blocks: 1499210
  Show dependency treegraph
 
Reported: 2017-10-16 07:21 EDT by Tomas Hoger
Modified: 2018-02-06 03:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 09:15:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2017-10-16 07:21:57 EDT
It was discovered that implementations of multiple classes in the Libraries component of OpenJDK did not limit the amount of memory allocated when creating object instances from a serialized form.  A specially-crafted input could cause a Java application to use an excessive amount of memory when deserialized.
Comment 2 Tomas Hoger 2017-10-17 16:52:59 EDT
Public now via Oracle CPU October 2017:

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html#AppendixJAVA

The issue was fixed in Oracle JDK 9.0.1, 8u151, 7u161, and 6u171.
Comment 6 Tomas Hoger 2017-10-18 05:46:27 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/0efdf2c7a214
Comment 7 errata-xmlrpc 2017-10-20 07:33:56 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2998 https://access.redhat.com/errata/RHSA-2017:2998
Comment 8 errata-xmlrpc 2017-10-23 03:49:27 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:2999 https://access.redhat.com/errata/RHSA-2017:2999
Comment 9 errata-xmlrpc 2017-10-24 08:13:40 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:3047 https://access.redhat.com/errata/RHSA-2017:3047
Comment 10 errata-xmlrpc 2017-10-24 08:19:21 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:3046 https://access.redhat.com/errata/RHSA-2017:3046
Comment 13 errata-xmlrpc 2017-11-27 13:05:50 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3264 https://access.redhat.com/errata/RHSA-2017:3264
Comment 14 errata-xmlrpc 2017-11-28 15:41:34 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2017:3267 https://access.redhat.com/errata/RHSA-2017:3267
Comment 15 errata-xmlrpc 2017-11-28 15:44:23 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:3268 https://access.redhat.com/errata/RHSA-2017:3268
Comment 16 errata-xmlrpc 2017-12-06 08:44:04 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3392 https://access.redhat.com/errata/RHSA-2017:3392
Comment 17 errata-xmlrpc 2017-12-13 11:55:35 EST
This issue has been addressed in the following products:

  Red Hat Satellite 5.8
  Red Hat Satellite 5.8 ELS

Via RHSA-2017:3453 https://access.redhat.com/errata/RHSA-2017:3453

Note You need to log in before you can comment on or make changes to this bug.